# Class GetOfferReply

#### Hierarchy

- unknown
  - GetOfferReply

- Defined in src/protobuf/grpc_pb.d.ts:1364
- Defined in src/protobuf/grpc_pb.d.ts:1378

#####
Index

### Constructors

constructor

### Methods

clearOffer
getOffer
hasOffer
serializeBinary
setOffer
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetOfferReply(): GetOfferReply

- #### Returns GetOfferReply

  Inherited from jspb.Message.constructor

## Methods

### clearOffer

- clearOffer(): GetOfferReply

- #### Returns GetOfferReply

  - Defined in src/protobuf/grpc_pb.d.ts:1368

### getOffer

- getOffer(): undefined | OfferInfo

- #### Returns undefined | OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1365

### hasOffer

- hasOffer(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:1367

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1370

### setOffer

- setOffer(value?: OfferInfo): GetOfferReply

- #### Parameters

  - ##### `Optional` value: OfferInfo

  #### Returns GetOfferReply

  - Defined in src/protobuf/grpc_pb.d.ts:1366

### toObject

- toObject(includeInstance?: boolean): GetOfferReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetOfferReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1371

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetOfferReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetOfferReply

  - Defined in src/protobuf/grpc_pb.d.ts:1374

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetOfferReply, reader: BinaryReader): GetOfferReply

- #### Parameters

  - ##### message: GetOfferReply

  - ##### reader: BinaryReader

  #### Returns GetOfferReply

  - Defined in src/protobuf/grpc_pb.d.ts:1375

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetOfferReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetOfferReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1373

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetOfferReply): GetOfferReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetOfferReply

  #### Returns GetOfferReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1372

Generated using TypeDoc